package com.ruoyi.system.domain.partyNews;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 党建资讯对象 party_news
 * 
 * @author boman
 * @date 2025-02-14
 */
public class PartyNews extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 资讯ID */
    private Long partyId;

    /** 党建资讯标题 */
    @Excel(name = "党建资讯标题")
    private String partyTitle;

    /** 党建资讯类型（1：党建活动 2：党建学习3：党建知识） */
    @Excel(name = "党建资讯类型", readConverterExp = "1=：党建活动,2=：党建学习3：党建知识")
    private String partyType;

    /** 党建资讯内容 */
    @Excel(name = "党建资讯内容")
    private String partyContent;

    /** 党建资讯状态（1正常 2关闭） */
    @Excel(name = "党建资讯状态", readConverterExp = "1=正常,2=关闭")
    private String status;

    /** 发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date publishTime;

    /** 作者，记录资讯的发布者 */
    @Excel(name = "作者，记录资讯的发布者")
    private String author;

    /** 来源，记录资讯的来源（如单位、网站等） */
    @Excel(name = "来源，记录资讯的来源", readConverterExp = "如=单位、网站等")
    private String source;

    /** 封面图片，存储图片路径或URL */
    @Excel(name = "封面图片，存储图片路径或URL")
    private String coverImage;

    /** 浏览次数，记录资讯被查看的次数 */
    @Excel(name = "浏览次数，记录资讯被查看的次数")
    private Long viewCount;

    /** 是否置顶：Y（置顶）、N（不置顶） */
    @Excel(name = "是否置顶：Y", readConverterExp = "置=顶")
    private String isTop;
    /** 是否收藏：Y（收藏）、N（不收藏） */
    private String isStars;
    /**
     * 收藏数量
     */
    private Integer starsCount;

    public Integer getStarsCount() {
        return starsCount;
    }

    public void setStarsCount(Integer starsCount) {
        this.starsCount = starsCount;
    }

    public String getIsStars() {
        return isStars;
    }

    public void setIsStars(String isStars) {
        this.isStars = isStars;
    }

    public void setPartyId(Long partyId)
    {
        this.partyId = partyId;
    }

    public Long getPartyId() 
    {
        return partyId;
    }
    public void setPartyTitle(String partyTitle) 
    {
        this.partyTitle = partyTitle;
    }

    public String getPartyTitle() 
    {
        return partyTitle;
    }
    public void setPartyType(String partyType) 
    {
        this.partyType = partyType;
    }

    public String getPartyType() 
    {
        return partyType;
    }
    public void setPartyContent(String partyContent) 
    {
        this.partyContent = partyContent;
    }

    public String getPartyContent() 
    {
        return partyContent;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setPublishTime(Date publishTime) 
    {
        this.publishTime = publishTime;
    }

    public Date getPublishTime() 
    {
        return publishTime;
    }
    public void setAuthor(String author) 
    {
        this.author = author;
    }

    public String getAuthor() 
    {
        return author;
    }
    public void setSource(String source) 
    {
        this.source = source;
    }

    public String getSource() 
    {
        return source;
    }
    public void setCoverImage(String coverImage) 
    {
        this.coverImage = coverImage;
    }

    public String getCoverImage() 
    {
        return coverImage;
    }
    public void setViewCount(Long viewCount) 
    {
        this.viewCount = viewCount;
    }

    public Long getViewCount() 
    {
        return viewCount;
    }
    public void setIsTop(String isTop) 
    {
        this.isTop = isTop;
    }

    public String getIsTop() 
    {
        return isTop;
    }

    @Override
    public String toString() {
        return "PartyNews{" +
                "partyId=" + partyId +
                ", partyTitle='" + partyTitle + '\'' +
                ", partyType='" + partyType + '\'' +
                ", partyContent='" + partyContent + '\'' +
                ", status='" + status + '\'' +
                ", publishTime=" + publishTime +
                ", author='" + author + '\'' +
                ", source='" + source + '\'' +
                ", coverImage='" + coverImage + '\'' +
                ", viewCount=" + viewCount +
                ", isTop='" + isTop + '\'' +
                ", isStars='" + isStars + '\'' +
                ", starsCount=" + starsCount +
                '}';
    }
}
